Subject: [PATCH 5/6] ARM: Tegra: start using cpufreq-cpu0 driver

From: [email-masked] (Stephen Warren)
Date: Wed, 07 Aug 2013 12:51:34 -0600

On 08/07/2013 11:59 AM, Viresh Kumar wrote:
> On 7 August 2013 23:23, Stephen Warren <[email-masked]> wrote:
>> That link only describes why we shouldn't have a dedicated compatible
>> value for cpufreq. I certainly agree with that. However, I think it's
>> reasonable that whatever code binds to:
>>
>>         compatible = "arm,cortex-a9";
>>
>> ... should instantiate any virtual devices that relate to the CPU.
> 
> But how would we know here if platform really wants us to probe
> cpufreq-cpu0 driver? On multiplatform kernel there can be multiple
> cpufreq drivers available and there has to be some sort of code
> in DT or platform code that reflects which driver we want to use.

Presumably the code would look at the top-level DT node's compatible
value (e.g. "nvidia,tegra20").